Loading...
Searching...
No Matches
BALL::PeriodicBoundary::Option Struct Reference

`#include <BALL/MOLMEC/COMMON/periodicBoundary.h>`

## Static Public Attributes

static const char * | PERIODIC_BOX_LOWER
| Vector containing the lower corner of the box.
static const char * | PERIODIC_BOX_UPPER
| Vector containing the upper corner of the box.
static const char * | PERIODIC_BOX_ENABLED
| Bool that indicates whether periodic boundary is enabled or not.
static const char * | PERIODIC_BOX_DISTANCE
| Minimum distance between solute molecules and the box in Angstrom.
static const char * | PERIODIC_BOX_ADD_SOLVENT
| Flag to initiate the addition of solvent to the box.
static const char * | PERIODIC_BOX_SOLVENT_FILE
static const char * | PERIODIC_BOX_SOLVENT_SOLUTE_DISTANCE
static const char * | PERIODIC_WATER_FILE

## Detailed Description

Definition at line 56 of file periodicBoundary.h.

## Member Data Documentation

## PERIODIC_BOX_ADD_SOLVENT

const char* BALL::PeriodicBoundary::Option::PERIODIC_BOX_ADD_SOLVENT

static

Flag to initiate the addition of solvent to the box.

Definition at line 71 of file periodicBoundary.h.

## PERIODIC_BOX_DISTANCE

const char* BALL::PeriodicBoundary::Option::PERIODIC_BOX_DISTANCE

static

Minimum distance between solute molecules and the box in Angstrom.

Definition at line 68 of file periodicBoundary.h.

## PERIODIC_BOX_ENABLED

const char* BALL::PeriodicBoundary::Option::PERIODIC_BOX_ENABLED

static

Bool that indicates whether periodic boundary is enabled or not.

Definition at line 65 of file periodicBoundary.h.

## PERIODIC_BOX_LOWER

const char* BALL::PeriodicBoundary::Option::PERIODIC_BOX_LOWER

static

Vector containing the lower corner of the box.

Definition at line 59 of file periodicBoundary.h.

## PERIODIC_BOX_SOLVENT_FILE

const char* BALL::PeriodicBoundary::Option::PERIODIC_BOX_SOLVENT_FILE

static

Name of the file containing the solvent. This file should contain an equilibrated box of the solvent in the HyperChem format.

Definition at line 77 of file periodicBoundary.h.

## PERIODIC_BOX_SOLVENT_SOLUTE_DISTANCE

const char* BALL::PeriodicBoundary::Option::PERIODIC_BOX_SOLVENT_SOLUTE_DISTANCE

static

Minimum distance between solvent and solute for added solvent.

Definition at line 81 of file periodicBoundary.h.

## PERIODIC_BOX_UPPER

const char* BALL::PeriodicBoundary::Option::PERIODIC_BOX_UPPER

static

Vector containing the upper corner of the box.

Definition at line 62 of file periodicBoundary.h.

## PERIODIC_WATER_FILE

const char* BALL::PeriodicBoundary::Option::PERIODIC_WATER_FILE

static

Filename for the default solvent.

Definition at line 85 of file periodicBoundary.h.